<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: RestContext Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d59/class_rest_context.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">RestContext Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a090197f70127da0e71e9fbed7200c5d9"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#a090197f70127da0e71e9fbed7200c5d9">RestContext</a> ()</td></tr>
<tr class="separator:a090197f70127da0e71e9fbed7200c5d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac14298f639d9a737607da06265feebb1"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#ac14298f639d9a737607da06265feebb1">~RestContext</a> ()</td></tr>
<tr class="separator:ac14298f639d9a737607da06265feebb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72d1c166ea7cf65d82f7bceae6643d20"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#a72d1c166ea7cf65d82f7bceae6643d20">GET</a> (<a class="el" href="../../dd/d99/class_rest_callback.html">RestCallback</a> cb, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> request)</td></tr>
<tr class="memdesc:a72d1c166ea7cf65d82f7bceae6643d20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes GET request and returns result (ERestResultState) and/ or data (timeout, error) when finished.  <a href="../../d6/d59/class_rest_context.html#a72d1c166ea7cf65d82f7bceae6643d20">More...</a><br /></td></tr>
<tr class="separator:a72d1c166ea7cf65d82f7bceae6643d20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e03f954d011635c46e8c028fe9680db"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#a4e03f954d011635c46e8c028fe9680db">GET_now</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> request)</td></tr>
<tr class="memdesc:a4e03f954d011635c46e8c028fe9680db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes GET request and returns data immediately (thread blocking operation!)  <a href="../../d6/d59/class_rest_context.html#a4e03f954d011635c46e8c028fe9680db">More...</a><br /></td></tr>
<tr class="separator:a4e03f954d011635c46e8c028fe9680db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e5669f2cee5d2863deb4b4c21c2e6cf"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#a3e5669f2cee5d2863deb4b4c21c2e6cf">FILE</a> (<a class="el" href="../../dd/d99/class_rest_callback.html">RestCallback</a> cb, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> request, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> filename)</td></tr>
<tr class="memdesc:a3e5669f2cee5d2863deb4b4c21c2e6cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes GET request and returns result (ERestResultState) and/ or stores data int specified file (timeout, error) when finished.  <a href="../../d6/d59/class_rest_context.html#a3e5669f2cee5d2863deb4b4c21c2e6cf">More...</a><br /></td></tr>
<tr class="separator:a3e5669f2cee5d2863deb4b4c21c2e6cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a990912b4c2bd3c2d045941751408d436"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#a990912b4c2bd3c2d045941751408d436">FILE_now</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> request, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> filename)</td></tr>
<tr class="memdesc:a990912b4c2bd3c2d045941751408d436"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes GET request and returns result (ERestResultState) and/ stores data int specified file immediately (thread blocking operation!)  <a href="../../d6/d59/class_rest_context.html#a990912b4c2bd3c2d045941751408d436">More...</a><br /></td></tr>
<tr class="separator:a990912b4c2bd3c2d045941751408d436"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa3f7d59a41b2f74fec6fc552f46e2e7"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#afa3f7d59a41b2f74fec6fc552f46e2e7">POST</a> (<a class="el" href="../../dd/d99/class_rest_callback.html">RestCallback</a> cb, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> request, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> data)</td></tr>
<tr class="memdesc:afa3f7d59a41b2f74fec6fc552f46e2e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pushes POST request and returns result (ERestResultState) and/ or data (timeout, error) when finished.  <a href="../../d6/d59/class_rest_context.html#afa3f7d59a41b2f74fec6fc552f46e2e7">More...</a><br /></td></tr>
<tr class="separator:afa3f7d59a41b2f74fec6fc552f46e2e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50eef4f6ae05a2c46d45bcc03230b1a9"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#a50eef4f6ae05a2c46d45bcc03230b1a9">POST_now</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> request, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> data)</td></tr>
<tr class="memdesc:a50eef4f6ae05a2c46d45bcc03230b1a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes POST request and returns data immediately (thread blocking operation!)  <a href="../../d6/d59/class_rest_context.html#a50eef4f6ae05a2c46d45bcc03230b1a9">More...</a><br /></td></tr>
<tr class="separator:a50eef4f6ae05a2c46d45bcc03230b1a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1389a1f0c8bdcfd5672bb9007ff4b3e"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#ad1389a1f0c8bdcfd5672bb9007ff4b3e">reset</a> ()</td></tr>
<tr class="memdesc:ad1389a1f0c8bdcfd5672bb9007ff4b3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all pending requests and buffers.  <a href="../../d6/d59/class_rest_context.html#ad1389a1f0c8bdcfd5672bb9007ff4b3e">More...</a><br /></td></tr>
<tr class="separator:ad1389a1f0c8bdcfd5672bb9007ff4b3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa634ccc7268386b66e2debc119954cbe"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d59/class_rest_context.html#aa634ccc7268386b66e2debc119954cbe">SetHeader</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> value)</td></tr>
<tr class="memdesc:aa634ccc7268386b66e2debc119954cbe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Content-Type header (string)  <a href="../../d6/d59/class_rest_context.html#aa634ccc7268386b66e2debc119954cbe">More...</a><br /></td></tr>
<tr class="separator:aa634ccc7268386b66e2debc119954cbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/dcd/_rest_api_8c_source.html#l00095">95</a> of file <a class="el" href="../../db/dcd/_rest_api_8c_source.html">RestApi.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a090197f70127da0e71e9fbed7200c5d9" name="a090197f70127da0e71e9fbed7200c5d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a090197f70127da0e71e9fbed7200c5d9">&#9670;&#160;</a></span>RestContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void RestContext::RestContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dcd/_rest_api_8c_source.html#l00097">97</a> of file <a class="el" href="../../db/dcd/_rest_api_8c_source.html">RestApi.c</a>.</p>

</div>
</div>
<a id="ac14298f639d9a737607da06265feebb1" name="ac14298f639d9a737607da06265feebb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac14298f639d9a737607da06265feebb1">&#9670;&#160;</a></span>~RestContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void RestContext::~RestContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dcd/_rest_api_8c_source.html#l00098">98</a> of file <a class="el" href="../../db/dcd/_rest_api_8c_source.html">RestApi.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3e5669f2cee5d2863deb4b4c21c2e6cf" name="a3e5669f2cee5d2863deb4b4c21c2e6cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e5669f2cee5d2863deb4b4c21c2e6cf">&#9670;&#160;</a></span>FILE()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RestContext::FILE </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d99/class_rest_callback.html">RestCallback</a>&#160;</td>
          <td class="paramname"><em>cb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>request</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Processes GET request and returns result (ERestResultState) and/ or stores data int specified file (timeout, error) when finished. </p>

</div>
</div>
<a id="a990912b4c2bd3c2d045941751408d436" name="a990912b4c2bd3c2d045941751408d436"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a990912b4c2bd3c2d045941751408d436">&#9670;&#160;</a></span>FILE_now()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RestContext::FILE_now </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>request</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Processes GET request and returns result (ERestResultState) and/ stores data int specified file immediately (thread blocking operation!) </p>

</div>
</div>
<a id="a72d1c166ea7cf65d82f7bceae6643d20" name="a72d1c166ea7cf65d82f7bceae6643d20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72d1c166ea7cf65d82f7bceae6643d20">&#9670;&#160;</a></span>GET()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RestContext::GET </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d99/class_rest_callback.html">RestCallback</a>&#160;</td>
          <td class="paramname"><em>cb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>request</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Processes GET request and returns result (ERestResultState) and/ or data (timeout, error) when finished. </p>

</div>
</div>
<a id="a4e03f954d011635c46e8c028fe9680db" name="a4e03f954d011635c46e8c028fe9680db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e03f954d011635c46e8c028fe9680db">&#9670;&#160;</a></span>GET_now()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> RestContext::GET_now </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>request</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Processes GET request and returns data immediately (thread blocking operation!) </p>

</div>
</div>
<a id="afa3f7d59a41b2f74fec6fc552f46e2e7" name="afa3f7d59a41b2f74fec6fc552f46e2e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa3f7d59a41b2f74fec6fc552f46e2e7">&#9670;&#160;</a></span>POST()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RestContext::POST </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d99/class_rest_callback.html">RestCallback</a>&#160;</td>
          <td class="paramname"><em>cb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>request</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Pushes POST request and returns result (ERestResultState) and/ or data (timeout, error) when finished. </p>

</div>
</div>
<a id="a50eef4f6ae05a2c46d45bcc03230b1a9" name="a50eef4f6ae05a2c46d45bcc03230b1a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50eef4f6ae05a2c46d45bcc03230b1a9">&#9670;&#160;</a></span>POST_now()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> RestContext::POST_now </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>request</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Processes POST request and returns data immediately (thread blocking operation!) </p>

</div>
</div>
<a id="ad1389a1f0c8bdcfd5672bb9007ff4b3e" name="ad1389a1f0c8bdcfd5672bb9007ff4b3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1389a1f0c8bdcfd5672bb9007ff4b3e">&#9670;&#160;</a></span>reset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void RestContext::reset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Clear all pending requests and buffers. </p>

</div>
</div>
<a id="aa634ccc7268386b66e2debc119954cbe" name="aa634ccc7268386b66e2debc119954cbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa634ccc7268386b66e2debc119954cbe">&#9670;&#160;</a></span>SetHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void RestContext::SetHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Content-Type header (string) </p>
<p >default content type is "application/octet-stream" but you can specify whatever you like, for example "application/json" "application/sql" "text/plain" </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Http/<a class="el" href="../../db/dcd/_rest_api_8c_source.html">RestApi.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d59/class_rest_context.html">RestContext</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
